{% extends "admin/delete_selected_confirmation.html" %}
{% load i18n l10n admin_urls %}


{% block content %}
{% if perms_lacking %}
    <p>{% blocktrans %}Deleting the selected {{ objects_name }} would result in deleting related objects, but your account doesn't have permission to delete the following types of objects:{% endblocktrans %}</p>
    <ul>
    {% for obj in perms_lacking %}
        <li>{{ obj }}</li>
    {% endfor %}
    </ul>
{% elif protected %}
    <p>{% blocktrans %}Deleting the selected {{ objects_name }} would require deleting the following protected related objects:{% endblocktrans %}</p>
    <ul>
    {% for obj in protected %}
        <li>{{ obj }}</li>
    {% endfor %}
    </ul>
{% else %}
    <p>{% blocktrans %}Are you sure you want to delete the selected {{ objects_name }}?{% endblocktrans %}</p>
    <h2>{% trans "Objects" %}</h2>

  {% for deletable_object in deletable_objects %}
    <style>
{#    pour ne pas afficher les objects lies qui seront supprimes #}
    ul#subitem ul{
      display: none;
    }
    </style>
        <ul id="subitem">{{ deletable_object|unordered_list }}</ul>
    {% endfor %}
    <form action="" method="post">{% csrf_token %}
    <div>
    {% for obj in queryset %}
    <input type="hidden" name="{{ action_checkbox_name }}" value="{{ obj.pk|unlocalize }}" />
    {% endfor %}
    <input type="hidden" name="action" value="delete_selected" />
    <input type="hidden" name="post" value="yes" />
    <input type="submit" value="{% trans "Yes, I'm sure" %}" />
    <a href="#" onclick="window.history.back(); return false;" class="button cancel-link">{% trans "No, take me back" %}</a>
    </div>
    </form>
{% endif %}
{% endblock %}
